Show / Hide Table of Contents

# Class ClientState

This class represents the state of the game client at the time of access.

##### Inheritance

System.Object
ClientState

##### Implements

System.ComponentModel.INotifyPropertyChanged

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState

###### Assembly: Dalamud.dll

##### Syntax

    public class ClientState : INotifyPropertyChanged

### Constructors

#### ClientState(Dalamud, SigScanner, ProcessModule)

Set up client state access.

##### Declaration

    public ClientState(Dalamud dalamud, SigScanner scanner, ProcessModule targetModule)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.Dalamud | dalamud | Dalamud instance
SigScanner | scanner | Sig scanner
System.Diagnostics.ProcessModule | targetModule | Game process module

### Fields

#### Actors

The table of all present actors.

##### Declaration

    public ActorTable Actors

##### Field Value

Type | Description
--- | ---
ActorTable |

### Properties

#### LocalPlayer

The local player character, if one is present.

##### Declaration

    public PlayerCharacter LocalPlayer { get; }

##### Property Value

Type | Description
--- | ---
PlayerCharacter |

### Events

#### PropertyChanged

##### Declaration

    public event PropertyChangedEventHandler PropertyChanged

##### Event Type

Type | Description
--- | ---
System.ComponentModel.PropertyChangedEventHandler |

### Implements

System.ComponentModel.INotifyPropertyChanged